﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.Entity.Infrastructure;

namespace NerdDinnerReloaded.Models
{
    public class NerdDinnersInitializer : RecreateDatabaseIfModelChanges<NerdDinners>
    {
        protected override void Seed(NerdDinners context)
        {
            var dinners = new List<Dinner>
            {
                new Dinner { Title = "Sample Dinner 1", 
                             EventDate=DateTime.Parse("12/31/2010"), 
                             Address = new Address { Street="One Microsoft Way", City="Redmond", PostCode="98052", Country="USA"},
                             HostedBy="scottgu@microsoft.com" },

                new Dinner { Title = "Sample Dinner 2", 
                             EventDate=DateTime.Parse("05/31/2011"), 
                             Address = new Address { Street="One Microsoft Way", City="Redmond", PostCode="98052", Country="USA"},
                             HostedBy="scottgu@microsoft.com" }

            };

            dinners.ForEach(d => context.Dinners.Add(d));
        }
    }
}